:root {

  font-family: Inter, sans-serif;
  font-size: 1.1rem;

  /* font-feature-settings: 'liga' 1, 'calt' 1; // example for inter font settings */
  --gold-900: #381E09;
  --gold-800: #713D13;
  --gold-700: #8D4C17;
  --gold-600: #A95B1C;
  --gold-500: #B77642;
  --gold-400: #C69268;
  --gold-300: #D4AD8E;
  --gold-200: #E2C8B3;
  --gold-100: #F1E4D9;

}

@supports (font-variation-settings: normal) {
  :root { font-family: InterVariable, sans-serif; }
}

/* * {
  font-family: 'Inter';
  p, div, span, li {
    font-weight: 400;
  }
} */
body {
  background-attachment: fixed;
  background-image: url(../img/bg3.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  color: #333;
  margin: 0;
  padding: 0;
}

body.page--front {

  background-image: url(../img/bg3.jpg);
}

body.path--gastronomie {
  background-image: url(../../../../../sites/default/files/2026-02/gastronomie-table.jpg);
}

body.page--room,
body.path--chambres {
  background-image: url(../../../../../sites/default/files/2026-03/walkway-filldufleuve.jpg);
}

body.page--article,
body.path--nouvelles {
  background-image: url(../../../../../sites/default/files/2026-03/fildufleuve-outside-bicycles-4.jpg);
}

body.path--activites {
  background-image: url(../../../../../sites/default/files/2026-03/ph_4.jpg);
}

h1, h2, h3, h4, h5 {
  font-family: Domine;
}

hr {
  border: none;
  border-top: solid 1px rgba(255,255,255,0.5);
  height: 1px;

}

.layout-container {
  background: rgba(255,255,255,0.75);
  backdrop-filter: blur(5px);
  padding: 1rem;
  /* max-width: 35%; */
}

@media (width >= 768px) {
  .layout-container {
    max-width: 35%;
  }
}

@media (width < 768px) {
  .layout-container {
    background: rgba(255,255,255,0.4);
  }
}

.fleuve-logo-panel {
  padding: 1rem 0;
  text-align: center  ;

  img {
    max-width: 65%;
  }
}

#block-fleuve-sitebranding {
  font-size: 1.4rem;
  font-weight: 200;
  letter-spacing: -1px;
  margin-left: 0.5rem;
  padding: 1rem 0;
  text-align: center;

  a {
    color: #333;
    display: inline-block;
    font-size: 1.4rem;

    text-decoration: none;
    font-weight: 400;
    margin-right: 0.5rem;

    &::before {
      /* content: '\22C5 \22C5 \00A0 \00A0'; */
    }

    &::after {
      content: '\00A0 \00A0 \22C5 \22C5 ';
    }
  }

}

nav#block-fleuve-mainnavigation {
  margin-bottom: 2rem;

  ul {
    columns: 3;
    column-gap: 0;
    list-style-type: none;
    margin-left: 0;
    padding-left: 0;
  }

  li {

    a {
      background: rgba(255,255,255, 0.50);
      color: var(--gold-600);
      display: block;
      margin-bottom: 1px;
      margin-right: 1px;
      padding: 0.65rem;
      text-decoration: none;
      text-transform: capitalize;

      &:hover,
      &.is-active {
        background: rgba(255,255,255, 0.65);
        color: var(--gold-900);
      }

      &.is-active {
        font-weight: bold;
      }
    }
  }
}

@media (width < 768px) {
  nav#block-fleuve-mainnavigation {
    ul {
      columns: 2;
    }
  }
}

nav.pager {
  text-align: center;

  ul {
    list-style-type: none;

    li {
      display: inline-block;
      padding:0 0.5rem;
    }
  }
}

#block-fleuve-tabs {

  padding: 0.75rem 0;

  ul {
    background: #333;
    border-left: solid gold 7px;
    list-style-type: none;
    margin-left: 0;
    padding: 0.5rem;

    li {
      display: inline-block;
      padding: 0.5rem;

      a {
        color: var(--gold-500);
        text-decoration: none;

        &:hover {
          color: var(--gold-800);
          text-decoration: underline;
        }
      }
    }
  }
}

#block-fleuve-pagetitle {
  margin: 1rem 0;
}

.layout-content {
  background: rgba(255,255,255,0.3);
  padding: 1rem;
}

p {
  line-height: 135%;
}

h1 {
  text-align: center;
}

a {
  color: var(--gold-600);
  text-decoration: underline;
  text-underline-offset: 4px;
  text-decoration-thickness: 1px;

  &:hover {
    color: var(--gold-800);
  }
}


.paragraph--type--image {
  text-align: center;
}


.paragraph--type--image,
.media-image
{
  img {
    /* box-shadow: rgba(0, 0, 0, 0.2) 0px 20px 25px -5px, rgba(0, 0, 0, 0.2) 0px 10px 10px -5px; */
    max-width: 100%;
    height: auto;
    /* padding: 1rem; */
  }
}

.layout--twocol img {
  margin-top: 1rem;
}

[class*="paragraph--type--"] {
  padding: 1rem;
}

@media (width < 768px) {
  [class*="paragraph--type--"] {
    padding: 0;
    border: red;
  }
}

article img {
  max-width: 100%;
}

.media-image {
  text-align: center;

  img {
    max-width: 100%;
    object-fit: none;
  }
}

@media (width < 768px) {
  article img {
    height: auto;
  }

  .media-image {
    img {
      object-fit: contain;
    }

  }
}


.view-albums {
  .views-row {
    margin-bottom: 3rem;
  }

  .views-field-title {
    text-align: center;

    h2 {
      font-size: 1.1rem;
    }
  }

  .views-field-field-images img {
    box-shadow: rgba(0, 0, 0, 0.2) 0px 20px 25px -5px, rgba(0, 0, 0, 0.2) 0px 10px 10px -5px;
  }
}

@media (width < 768px) {
  .view-albums {
    .views-row {
      margin-bottom: 0;
    }
    .views-col {
      margin-bottom: 2rem;
    }
  }
}


.field-images,
.view-room-album-images .views-field-field-images .field-content
{
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(2, 1fr);
}

@media (width < 768px) {
  .field-images,
  .view-room-album-images .views-field-field-images .field-content
  {
    grid-template-columns: repeat(1, 1fr);
  }
}


.field-images .image-item,
.view-room-album-images .views-field-field-images .field-content a
{
  align-content: center;
  background: rgba(255,255,255,0.2);
  border: solid rgba(255,255,255,0.5) 1px;
  margin: auto;
  padding: 1rem;
  text-align: center;
  width: 220px;
  height: 220px;
}

.field-images .image-item a {
  display: inline-block;
}

#block-fleuve-views-block-album-on-room-block-block-1 {
  border-top: solid 1px rgba(0,0,0,0.15);
  padding-top: 1rem;
}



@media (width < 768px) {
  .view-albums {
    .views-col {
      width: 100% !important;
    }
  }

  .field-images {
    grid-template-columns: repeat(1, 1fr);
  }
}


.view-articles .views-row {
  padding-bottom: 2rem;
  margin-bottom: 2rem;
  &:not(:last-of-type) {
    border-bottom: solid 1px rgba(0,0,0,0.15);
  }
}


.view-rooms {

  header {
    padding: 1rem 0;
  }

  .views-row {
    padding-bottom: 1rem;
    margin-bottom: 2rem;

    &:not(:last-of-type) {
      border-bottom: solid 1px rgba(0,0,0,0.15);
    }
  }
}

.views-field-title h2 {

  a {
    /* color: rgba(255,255,255, 0.5);
    background: var(--gold-500);
    padding: 3px;
    text-decoration: none; */
  }
}

footer.publication-date {
  display: block;
  font-family: Domine;
  margin-bottom: 2rem;
  text-align: center;
}

.paragraph--type--text {

  p {
    padding: 0 0.3rem;
  }

  li {
    margin-bottom: 0.75rem;
  }
}

.path--press-reviews .press-reviews .paragraph--type--text {
  border-bottom: solid 1px rgba(255,255,255,0.5);
}

.page-footer {
  margin-top: 2rem;
  padding-left: 0.3rem;
  padding-right: 0.3rem;
}

/* .paragraph--type--press {
  border-bottom: solid 1px rgba(255,255,255,0.5);
  margin: 1.5rem 0;
  padding: 0 0.5rem 2rem 0.5rem;

  header {
    display: flex;
    font-weight: 600;
    gap: 1rem;
  }


} */



.media-instructions {
  font-weight: bold;
  text-align: center;
  margin: 1rem 0 2rem 0;
}

.media-attachments {
  font-size: 0.9rem;
  margin-top: 2rem;
}

.webform-submission-form {
  padding: 2rem;

  label {
    display: inline-block;
    font-weight: bold;
    white-space: pre;
    /* width: 15%; */
  }

  input, textarea, select {
    padding: 0.5rem;
  }

  .form-item {
    margin: 1rem 0;
  }

  .form-item-message {
    margin-top: 2rem;

    textarea {
      margin-top: 0.5rem;
      width: 91%;
    }
  }
}

@media (width < 768px) {
  .webform-submission-form {
    input[type="text"],
    input[type="email"]
    {
      width: 100%;
    }
  }
}


/* .layout__region .paragraph--type--image img {
  padding: 1rem;
} */

#block-fleuve-footerinfo {
  font-size: 0.9rem;
  margin: 3rem 0 1.5rem 0;
  text-align: center;
}

.price-set {
  label {
    font-weight: bold;
  }
}

@media (width < 768px) {
  .price-set {
    margin-bottom: 1rem;
  }
}


.view-room-album-images {
  margin: 1rem 0 3rem 0;
  padding: 0 2rem;
}

@media (width < 768px) {
  .view-room-album-images {
    padding: 0;
  }
}

#block-fleuve-webform {
  margin: 0 3rem;
}

#webform-submission-contact-node-27-add-form {
  margin-top: 0;
}

label.form-required {
  &::after {
    color: crimson;
    content: ' *';
  }
}

.captcha {
  margin: 4rem 0;
}

.message {
  border: solid;
}


.path--chambres .layout {
  border-bottom: solid 1px rgba(0,0,0,0.15);
  padding-bottom: 4rem;
}

.chambres-header {
  ul {
    text-align: center;
  }

  li {
    display: inline-block;
    margin-right: 1rem;
  }
}

#block-lestarifs {
  table {
    border-collapse: collapse;
    width: 100%;
  }

  tr:first-of-type {
    td {
      background: rgba(241, 228, 217, 0.4);
    }
  }

  td {
    border-bottom: solid 1px rgba(0,0,0,0.15);
    font-size: 80%;
    padding: 1rem 0.5rem;
  }


}
